CMSIS-NN: Globals

| CMSIS-NN Version 3.1.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Variables
- Enumerations
- Enumerator
- Macros

- _
- a
- c
- d
- e
- f
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u

All Data Structures Files Functions Variables Enumerations Enumerator Macros Groups Pages
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - c -

- arm_cmsis_nn_status : arm_nn_math_types.h
- arm_concatenation_s8_w() : arm_concatenation_s8_w.c , arm_nnfunctions.h
- arm_concatenation_s8_x() : arm_nnfunctions.h , arm_concatenation_s8_x.c
- arm_concatenation_s8_y() : arm_nnfunctions.h , arm_concatenation_s8_y.c
- arm_concatenation_s8_z() : arm_nnfunctions.h , arm_concatenation_s8_z.c
- arm_convolve_1_x_n_s8() : arm_convolve_1_x_n_s8.c , arm_nnfunctions.h
- arm_convolve_1_x_n_s8_get_buffer_size() : arm_nnfunctions.h , arm_convolve_1_x_n_s8.c
- arm_convolve_1x1_HWC_q7_fast_nonsquare() : arm_nnfunctions.h , arm_convolve_1x1_HWC_q7_fast_nonsquare.c
- arm_convolve_1x1_s8_fast() : arm_nnfunctions.h , arm_convolve_1x1_s8_fast.c
- arm_convolve_1x1_s8_fast_get_buffer_size() : arm_nnfunctions.h , arm_convolve_1x1_s8_fast.c
- arm_convolve_fast_s16() : arm_nnfunctions.h , arm_convolve_fast_s16.c
- arm_convolve_fast_s16_get_buffer_size() : arm_nnfunctions.h , arm_convolve_fast_s16.c
- arm_convolve_HWC_q15_basic() : arm_nnfunctions.h , arm_convolve_HWC_q15_basic.c
- arm_convolve_HWC_q15_fast() : arm_convolve_HWC_q15_fast.c , arm_nnfunctions.h
- arm_convolve_HWC_q15_fast_nonsquare() : arm_nnfunctions.h , arm_convolve_HWC_q15_fast_nonsquare.c
- arm_convolve_HWC_q7_basic() : arm_nnfunctions.h , arm_convolve_HWC_q7_basic.c
- arm_convolve_HWC_q7_basic_nonsquare() : arm_nnfunctions.h , arm_convolve_HWC_q7_basic_nonsquare.c
- arm_convolve_HWC_q7_fast() : arm_convolve_HWC_q7_fast.c , arm_nnfunctions.h
- arm_convolve_HWC_q7_fast_nonsquare() : arm_nnfunctions.h , arm_convolve_HWC_q7_fast_nonsquare.c
- arm_convolve_HWC_q7_RGB() : arm_convolve_HWC_q7_RGB.c , arm_nnfunctions.h
- arm_convolve_s16() : arm_nnfunctions.h , arm_convolve_s16.c
- arm_convolve_s16_get_buffer_size() : arm_nnfunctions.h , arm_convolve_s16.c
- arm_convolve_s8() : arm_convolve_s8.c , arm_nnfunctions.h
- arm_convolve_s8_get_buffer_size() : arm_nnfunctions.h , arm_convolve_s8.c
- arm_convolve_wrapper_s16() : arm_convolve_wrapper_s16.c , arm_nnfunctions.h
- arm_convolve_wrapper_s16_get_buffer_size() : arm_nnfunctions.h , arm_convolve_wrapper_s16.c
- arm_convolve_wrapper_s8() : arm_convolve_wrapper_s8.c , arm_nnfunctions.h
- arm_convolve_wrapper_s8_get_buffer_size() : arm_convolve_wrapper_s8.c , arm_nnfunctions.h
- CLAMP : arm_nnsupportfunctions.h
- clamp_output() : arm_max_pool_s8.c , arm_max_pool_s16.c
- compare_and_replace_if_larger() : arm_max_pool_s16.c
- compare_and_replace_if_larger_q7() : arm_max_pool_s8.c